Subject: Re: bug#28430: 26.0.50; Segfault on unexpected connection loss

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Sep 2017 17:39:58 +0300

> From: Daniel Kraus <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 15 Sep 2017 21:51:36 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks.  I think I fixed this, please try the current master.
> 
> Jep, works in master.
> 
> Does not crash anymore and the minibuffer shows:
> 
> --cut--
> HTTP GET http://127.0.0.1:6543 Headers:[nil] Body:[]
> Contacting host: 127.0.0.1:6543
> error in process sentinel: peculiar error [2 times]
> --cut--

Great, I will close the bug, then.

> Guess a nicer error message is a problem from restclient.el then.

Yes, I think so.

> Thanks for the fast fix.

Thanks for a simple reproducer and clear backtrace data.